<!DOCTYPE html>
<html lang="en">
<head>
  <% include ../components/head %>
</head>
<body>
  <header>
    <% include ../components/navbar %>
  </header>
  <main role="main" class="container container-custom">
    <div class="jumbotron">
      <h2 class="text-center"><%= judul %></h2>
    </div>
    <div class="row mb-20">
      <div class="col-12">
        <div class="text-right">
          <a href="/book/add" class="btn btn-info">
            <i class="fa fa-plus mr-2 mb-10"></i> Add New Book
          </a>
        </div>
      </div>
    </div>
    <div class="table-responsive">
      <table class="table table-bordered table-striped table-hover">
        <thead>
          <tr>
            <th class="text-center align-middle" style="width: 5%">No.</th>
            <th class="text-center align-middle" style="width: 15%">Title</th>
            <th class="text-center align-middle" style="width: 15%">ISBN</th>
            <th class="text-center align-middle" style="width: 5%">Total Pages</th>				
            <!-- <th class="text-center align-middle" style="width: 15%">Author</th>		 -->			
            <th class="text-center align-middle" style="width: 10%">Published Year</th>
            <th class="text-center align-middle" style="width: 40%">Description</th>
            <th class="text-center align-middle" style="width: 10%" colspan="2">Action</th>
          </tr>
        </thead>
        <tbody>
          <% var i=1 %>
          <% if (res) { %>
          <% res.forEach(function(book){ %>
            <tr>
              <td class="text-center"><%= i %><% i++ %></td>
              <td><%= book.title %></td>
              <td><%= book.isbn %></td>
              <td><%= book.pageCount %></td>
              <!-- <td><%= book.authors %></td> -->
              <% var date = new Date(book.publishedDate) %>
              <% var months = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]; %>
              <!-- <td><%= date.getDate() %> <%= months[date.getMonth()] %> <%= date.getFullYear() %></td> -->
              <td><%= date.getFullYear() %></td>              
              <td><%= book.longDescription %></td>
              <td>
                <a href='/book/edit/<%= book._id %>' class="btn btn-primary"><i class="far fa-edit small"></i></a> 
              </td>
              <td>
                <form method="post" action="/book/delete/<%= book._id %>">
                  <button type="submit" class="btn btn-danger"><i class="fas fa-trash-alt small"></i></button>
                </form>
              </td>
            </tr>
          <% }) %>
          <% } %>
        </tbody>
      </table>
    </div>
  </main>
  <% include ../components/footer %>
</body>
</html>